Subject: [Sip] Bis[5] NIT - Priority Header Values inconsistent

From: "James M. Polk" <[email-masked]>
Date: Mon, 05 Nov 2001 22:01:15 -0600

The Priority Request-Header values are inconsistent in this version:

Section 22.25 mentions the 4 values from RFC2543 (Emergency, Urgent, Normal and
Non-urgent) on page 143; 

Yet page 185 has 5 values: the inclusion of "other-priority  =  token" is added
to the above 4.
*************************************
"People generally demand more respect for their own rights than they are
willing to allow for others"

James M. Polk
Consulting Engineer
Office of the CTO

Cisco Systems
2200 East President George Bush Turnpike 
Richardson, TX  75082 USA
w) 972.813.5208
f)  972.813.5280
www.cisco.com

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 6 Nov 2001 01:06:04 -0500

James,

I don't see the inconsistency. Section 22.25 says:

The Priority header field indicates the urgency of the request as
   perceived by the client. Defined values include "non-urgent",
   "normal", "urgent", and "emergency".

And indeed, there are four values defined. The BNF allows for additional
values, as an extensibility mechanism. 

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com
  
-----Original Message-----
From: James M. Polk [mailto:[email-masked]]
Sent: Monday, November 05, 2001 11:01 PM
To: [email-masked]
Subject: [Sip] Bis[5] NIT - Priority Header Values inconsistent

Section 22.25 mentions the 4 values from RFC2543 (Emergency, Urgent, Normal
and Non-urgent) on page 143; 

Yet page 185 has 5 values: the inclusion of "other-priority  =  token" is
added to the above 4.

James M. Polk
Consulting Engineer
Office of the CTO

Cisco Systems

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip